Resolution: Fixed

Description

| just noticed that the 'New member' link on the members tab of the project settings is placed above the table with the project
members. This diverges from the Ul of all the other project settings tabs (versions, issue categories, repositories and forums) where
the 'New XXX' links are placed below the table.

To make the Ul more consistent I'd move the 'New member' link to below the members table. Patch against source:trunk@16111
attached.

Small disclaimer: | haven't been able to run the test suite after this change, so | am not 100% sure nothing breaks.

Apart from the above, | can think of cases where it is useful to have the links both above and below the table (but only when the item
tables have reached a minimum height/amount of items), but that transcends this rather small Ul fix.

Related issues:

Related to Redmine - Patch #24776: Ul inconsistencies on /enumerations/index ... Closed

Associated revisions

Revision 16183 - 2017-01-14 10:58 - Jean-Philippe Lang

Move 'New ..." links to above item tables in project settings (#24720).
Patch by Mischa The Evil.

Revision 16184 - 2017-01-14 10:59 - Jean-Philippe Lang

Add nbsp below project settings version filter section (#24720).
Patch by Mischa The Evil.

Revision 16185 - 2017-01-14 11:00 - Jean-Philippe Lang

Remove superfluous spaces before colon (#24720).

Patch by Mischa The Euvil.

History

#1 - 2016-12-31 16:51 - Jean-Philippe Lang

| agree that all the "New xxx" links should be at the same place but | think it would be more convenient (and more consistent with the screens other
than in project settings) to have them above the list, no need to scroll down when there are meny items.
Is that OK for you?

#2 - 2017-01-07 17:39 - Mischa The Evil

- File 0002-before.png added

- File 0002-after.png added

- File 0001-Move-New-.-links-to-above-item-tables-in-project-set.patch added
- File 0002-Add-nbsp-below-project-settings-version-filter-secti.patch added

- File 0003-Remove-superfluous-spaces-before-colon.patch added

- Subject changed from Move ‘new member' link in project settings to below the table to Move all 'new item' links in project settings to above the item
tables

Jean-Philippe Lang wrote:
https://www.redmine.org/projects/redmine/repository/svn/revisions/16111/entry/trunk

| agree that all the "New xxx" links should be at the same place but | think it would be more convenient (and more consistent with the screens
other than in project settings) to have them above the list, no need to scroll down when there are meny items.
Is that OK for you?

That is fine for me. | will leave three new patches implementing the change, of which the first replaces the one | previously posted:

e 0001-Move-New-.-links-to-above-item-tables-in-project-set.patch: moves the new links to above the item tables;

* 0002-Add-nbsp-below-project-settings-version-filter-secti.patch: after the link relocation to the top-left of the versions tab, it became pretty
crowded / densely packed over there. | fixed this in line with the other two places that use comparable filter sections (admin/projects and
admin/users) by adding a non-breaking space just below the filter fieldset. See the following screenshots:

o before:
Home My page Projects Administration Help

SyntaxHighlighting Test

+ Overview Activity Roadmap Issues Gantt Calendar News Documents Wiki Files Repository ElSulilis

Settings

Information || Modules || Members || Versions || Issue categories || Wiki || Repositories || Forums || Activities (time tracking)

@ MNew version

Filters
Status:[all ¥ | Version: | || Apply | @ Clear
Version Due date Description Status
1.0 locked
o after:

Home My page Projects Adminisiration Help

SyntaxHighlighting Test

4+ Overview Activity Roadmap Issues Ganitt Calendar News Documents Wiki Files Repository BEGllH
Settings
Information || Modules || Members | | Versions || Issue categories || Wiki || Repositories || Forums || Activities (time tracking)

@ MNew version

Filters
Status:[all v | Version: | || Apply | @ Clear
Version Due date Description Status
1.0 locked

* 0003-Remove-superfluous-spaces-before-colon.patch: pretty self-explanatory, | noticed them while at the code related to the Ul fix.

It may be good to mention that I've also explored the (re-)use of the contextual div class for this purpose (as such tightening the consistency of new
links throughout the app in both the front- &nd back-end) but found that it led to a, for me unacceptable, increase of traveled mouse distance. Besides
that, | also think that a relocation of project settings' new links from the bottom-left to the top-left alone is better suited fixing the initial small Ul
inconsistency than a relocation from the bottom-left all the way to the top-right.

| switched to using the Git mirror again for patch creation instead of the SVN source and as such is this patch serial, against current
source:/trunk@16156, produced using git format-patch which makes the individual patches apply-able using "patch -p1 < 0001-...".

#3 - 2017-01-08 23:17 - Jean-Philippe Lang

- Target version set to 3.4.0

#4 - 2017-01-09 10:29 - Mischa The Evil

- Related to Patch #24776: Ul inconsistencies on /enumerations/index view added

#5 - 2017-01-14 11:01 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed

All 3 patches are committed, thanks Mischa.

#6 - 2017-05-15 21:59 - Marius BALTEANU

Mischa The Evil The Evil, I'm proposing some changes in a new ticket (#25853) which are related to this issue (if you want to take a look).

Files
